#Autogenerated class


from xml.dom.minidom import parseString

from bioMoby.mobyDataTypes import MobyInteger
from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyObject


class MobyICIS_Query(MobyObject):
    """ Description: Text Query for IRIS which allows wildcards
        Author: www.iris.irri.org
        Contact: mulat@cgiar.org
    """
    def __init__(self,namespace="",id="",End_row=0,Start_row=0,Search_text="",articleName=""):
        self._articles={"End_row":"end_row","Start_row":"start_row","Search_text":"search_text"}
        self.namespace=namespace
        self.id=id
        self.End_row=End_row
        self.Start_row=Start_row
        self.Search_text=Search_text
        self.__prefix__="moby"
        self.__tag__="ICIS_Query"
        self.articleName=articleName


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=value
        if isinstance(value,str):
            doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self.articleName=doc.getAttribute("moby:articleName")
        if self.articleName=="":

            self.articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self.__cross__=[]
                for ref in elt.childNodes:
                    self.__cross__.append(ref)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="End_row" or elt.getAttribute("moby:articleName")=="End_row"):
                t=MobyInteger()
                t.fromMoby(elt)
                self.End_row=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="Start_row" or elt.getAttribute("moby:articleName")=="Start_row"):
                t=MobyInteger()
                t.fromMoby(elt)
                self.Start_row=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Search_text" or elt.getAttribute("moby:articleName")=="Search_text"):
                t=MobyString()
                t.fromMoby(elt)
                self.Search_text=t.content